Name:			js8call
Summary:		Provides keyboard-to-keyboard mode for Weak Signal digital Amateur Radio
Version:		2.2.0
Release:		%mkrel 4
License:		GPLv3
Url:			https://bitbucket.org/widefido/js8call/src/js8call/
Group:			Communications/Radio
Source0:		http://files.%{name}.com/%{version}/%{name}-%{version}.tgz
Patch0:			js8call-2.1.0-fix_build.patch

BuildRequires:	asciidoc
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
BuildRequires:	gcc-c++
BuildRequires:	gcc-gfortran
BuildRequires:	git
BuildRequires:	hamlib-utils
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(hamlib)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qtmultimedia5
BuildRequires:	ruby-asciidoctor
BuildRequires:	texinfo

%description
JS8Call is a derivative of the WSJT-X application, restructured and redesigned
for keyboard-to-keyboard message passing. It is not supported by nor endorsed
by the WSJT-X development group. While the WSJT-X group maintains copyright
over the original work and code, JS8Call is a derivative work licensed under
and in accordance with the terms of the GPLv3 license.

%prep
%autosetup -p1 -n %{name}

%build
%cmake_qt5	-DPC_HAMLIB_LIBRARY_DIRS=%{_libdir} \
			-DCMAKE_BUILD_TYPE=Release
			
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_docdir}/JS8Call/{INSTALL,INSTALL-WSJTX}

desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications

%files
%doc %{_docdir}/JS8Call/
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}_icon.png


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 2.2.0-4.mga9
+ Revision: 1845818
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 2.2.0-3.mga8
+ Revision: 1658617
- Rebuild for new Qt5

* Sat Oct 31 2020 barjac <barjac> 2.2.0-2.mga8
+ Revision: 1640762
- rebuild for hamlib-4.1

* Sun Jun 28 2020 barjac <barjac> 2.2.0-1.mga8
+ Revision: 1600235
- new version 2.2.0

* Fri Mar 20 2020 barjac <barjac> 2.1.1-1.mga8
+ Revision: 1558116
- new version 2.1.1
- re-diff build patch
- drop fix to deal with tarbomb now fixed upstream :)
- remove HamlibTransceiver.hpp hunk of patch fixed upstream

* Thu Feb 20 2020 umeabot <umeabot> 2.1.0-3.mga8
+ Revision: 1546333
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 barjac <barjac> 2.1.0-2.mga8
+ Revision: 1486353
- rebuild for hamlib-4.0
+ wally <wally>
- build with new cmake macros

* Tue Dec 24 2019 barjac <barjac> 2.1.0-1.mga8
+ Revision: 1469787
- new version 2.1.0
- consolidate build patches into one for this version

* Thu Dec 19 2019 barjac <barjac> 2.0.1-3.mga8
+ Revision: 1469016
- dont use pkgconfig for hamlib
- dont install copies of hamlib binaries - patch
- Fix typo and un-needed export

* Wed Dec 11 2019 barjac <barjac> 2.0.1-1.mga8
+ Revision: 1465945
- new package js8call

